--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Method called to cleanup before the plugin is unloaded. If you overload this method to handle additional cleanup tasks, remember to call super() so that the default cleanup actions are taken care of as well.
full_name: Irc::Bot::Plugins::BotModule#cleanup
is_singleton: false
name: cleanup
params: ()
visibility: public
